detekt-api
1.21.0-RC2

# Compactable

interface Compactable
Content copied to clipboard

Provides a compact string representation.

## Functions

compact
Link copied to clipboard
abstract fun compact (): String
Content copied to clipboard

Contract to format implementing object to a string representation.

compactWithSignature
Link copied to clipboard
open fun compactWithSignature (): String
Content copied to clipboard

Same as compact except the content should contain a substring which represents this exact findings via a custom identifier.

## Inheritors

Entity
Link copied to clipboard
Finding
Link copied to clipboard
Location
Link copied to clipboard